/lending/v1/products/{product_id}/segments

Get segments

The endpoint lending/v1/products/{product_id}/segments allows you to obtain all segments associated with a specific product.

  • Returns all product segments in a single response: does not support filters or pagination. If the product has no segments, data is an empty list.
  • The pricing of each segment is the current one, or the next if there is not yet a current one. If the segment does not have its own pricing, pricing is not included. To also see the previous and scheduled ones, use the segment's pricing history.
  • If the product does not exist, it responds 404 PRODUCT_NOT_FOUND.

Available parameters

Path Parameters
product_idString

Autenticación

🔒BearerAuthhttp

Response details

401
The token is missing or invalid. The response has no body.
403
No body. The token is valid but does not have the scope required by the endpoint.

Ejemplo de código
curl -X GET "https://api.pomelo.la/lending/v1/products/example_value/segments" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
Ejemplo de respuesta (200)OK
{
  "data": [
    {
      "id": "lsg-3JswKtetEReOEssT86UweXa4do2",
      "product_id": "lpr-2HMvSzWjc5La6WDTlgFweXAmPle",
      "name": "Nómina",
      "status": "ACTIVE",
      "pricing": {
        "start_date": "2026-10-03",
        "rates": {
          "late_fee": "2.50",
          "cash_advance": "45.00",
          "revolving": "39.00"
        },
        "fees": [
          {
            "name": "membership_fee",
            "amount": "49.00",
            "frequency": "MONTHLY",
            "type": "FLAT"
          }
        ]
      },
      "credit_card": {
        "minimum_payment": 150,
        "minimum_payment_composition": {
          "revolving": 100,
          "cash_advances": 50,
          "financing": 100,
          "annuities": 100,
          "purchases": 8
        }
      },
      "created_at": "2026-10-03T14:21:07.512Z",
      "updated_at": "2026-10-03T14:21:07.512Z"
    }
  ]
}

Pomelo AI

Artificial intelligence assistant for inquiries about the Pomelo API
Hello!How can I help you today?